Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006120opensim[REGION] OpenSim Corepublic2012-07-31 20:032014-07-29 13:41
ReporterKen Grunke 
Assigned ToKen Grunke 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target VersionFixed in Versionmaster (dev code) 
Summary0006120: Crash on shutdown
Descriptionlatest OSGrid release OSgrid 0.7.4 (Dev) 6ee17f: 2012-07-30 crashes when using shutdown command or quit command in console
Steps To ReproduceUse the shutdown or quit command in console in Windows or Linux
Additional InformationConsole output error:

Region (Key) # quit
21:56:08 - [SHUTDOWN]: Closing all threads
21:56:08 - [SHUTDOWN]: Killing listener thread
21:56:08 - [SHUTDOWN]: Killing clients
21:56:08 - [SHUTDOWN]: Closing console and terminating
21:56:08 - [SCENE]: Closing down the single simulator: Key
21:56:09 - [SCENE]: Persisting changed objects
21:56:09 - [GRID SERVICE]: Deregistering region Key (b23f9861-4898-4c9a-86e2-36bce970e9db) at 9995-10049
21:56:09 - [APPLICATION]:
APPLICATION EXCEPTION DETECTED: System.UnhandledExceptionEventArgs

Exception: System.NullReferenceException: Object reference not set to an instance of an object
  at OpenSim.Region.Framework.Scenes.Scene.get_TimeDilation () [0x00000] in <filename unknown>:0
  at OpenSim.Region.Framework.Scenes.Scene.Update (Int32 frames) [0x00000] in <filename unknown>:0
  at OpenSim.Region.Framework.Scenes.Scene.Heartbeat () [0x00000] in <filename unknown>:0
  at System.Threading.Thread.StartUnsafe () [0x00000] in <filename unknown>:0

Application is terminating: True
[ERROR] FATAL UNHANDLED EXCEPTION: System.NullReferenceException: Object reference not set to an instance of an object
  at OpenSim.Region.Framework.Scenes.Scene.get_TimeDilation () [0x00000] in <filename unknown>:0
  at OpenSim.Region.Framework.Scenes.Scene.Update (Int32 frames) [0x00000] in <filename unknown>:0
  at OpenSim.Region.Framework.Scenes.Scene.Heartbeat () [0x00000] in <filename unknown>:0
  at System.Threading.Thread.StartUnsafe () [0x00000] in <filename unknown>:0
TagsNo tags attached.
Git Revision or version number6ee17f
Run ModeStandalone (1 Region) , Standalone (Multiple Regions) , Grid (1 Region per Sim) , Grid (Multiple Regions per Sim)
Physics EngineODE
EnvironmentMono / Linux32, Mono / Linux64, .NET / Windows32, .NET / Windows64
Mono Version2.10
ViewerV3
Attached Files

- Relationships
related to 0006115closedjustincc null reference exception on shutdown 
has duplicate 0006149closedjustincc Using Shutdown or Quit to close PC server 

-  Notes
(0021955)
Ken Grunke (reporter)
2012-08-01 07:04

my build of latest dev master r/19957 compiled on Windows 7 didn't crash on shutdown, so maybe it was something particular to the system that the OSGrid binary release was compiled on?
(0021956)
SignpostMarv (reporter)
2012-08-01 07:05

this was fixed already, afaik.

- Issue History
Date Modified Username Field Change
2012-07-31 20:03 Ken Grunke New Issue
2012-07-31 20:13 Ken Grunke Environment Mono / Linux32, .NET / Windows64 => Mono / Linux32, Mono / Linux64, .NET / Windows32
2012-07-31 20:13 Ken Grunke Reproducibility sometimes => always
2012-07-31 20:14 Ken Grunke Environment Mono / Linux32, Mono / Linux64, .NET / Windows32 => Mono / Linux32, Mono / Linux64, .NET / Windows32, .NET / Windows64
2012-07-31 20:18 nebadon Status new => confirmed
2012-08-01 07:04 Ken Grunke Note Added: 0021955
2012-08-01 07:05 SignpostMarv Relationship added related to 0006115
2012-08-01 07:05 SignpostMarv Note Added: 0021956
2012-08-01 07:13 Ken Grunke Status confirmed => resolved
2012-08-01 07:13 Ken Grunke Fixed in Version => master (dev code)
2012-08-01 07:13 Ken Grunke Resolution open => fixed
2012-08-01 07:13 Ken Grunke Assigned To => Ken Grunke
2012-08-11 07:15 Ken Grunke Relationship added has duplicate 0006149
2012-08-18 04:32 DMX04 Issue cloned: 0006217
2014-07-29 13:41 chi11ken Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker